CVE-2021-26933

Name
CVE-2021-26933
Description
An issue was discovered in Xen 4.9 through 4.14.x. On Arm, a guest is allowed to control whether memory accesses are bypassing the cache. This means that Xen needs to ensure that all writes (such as the ones during scrubbing) have reached the memory before handing over the page to a guest. Unfortunately, the operation to clean the cache is happening before checking if the page was scrubbed. Therefore there is no guarantee when all the writes will reach the memory.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Patch http://xenbits.xen.org/xsa/advisory-364.html
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/EOAJBVAVR6RSCUCHNXPVSNRPSFM7INMP/
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/4GELN5E6MDR5KQBJF5M5COUUED3YFZTD/
DEBIAN https://www.debian.org/security/2021/dsa-4888

Match rules

CPE URI Source package Min version Max version
cpe:2.3:o:xen:xen:*:*:*:*:*:*:arm:* xen >= 4.9.0 <= 4.14.1

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
xen 3.10-main 4.12.4-r0 None possibly vulnerable
xen 3.12-main 4.13.4-r0 Natanael Copa <ncopa@alpinelinux.org> fixed
xen 3.11-main 4.13.4-r0 Natanael Copa <ncopa@alpinelinux.org> fixed